Update Placement
Updates a Placement.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
uuid
The identifier for a specific placement.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects an object.
channel_id
The ID of the channel on which this placement exists.
entity_id
The identifier of a page you would like to target. For product pages, choose product ID. For category pages, choose category ID. Home page does not support entity_id.
region
The name of the region in which to insert content widgets.
sort_order
The sort order to control the position of a content widget in a region.
status
Sets the placement as either inactive or active.
Allowed values:
template_file
The template file that you would like to target.
widget_uuid
A widget identifier.
Response
The requested widget placement.
data
meta
Response metadata.
Errors
404
Not Found Error
422
Unprocessable Entity Error